# This file created by conda-build 3.21.9
# meta.yaml template originally from:
# /Users/ec2-user/runner/_work/vision/vision/pytorch/vision/packaging/torchvision, last modified Mon Apr 24 18:31:31 2023
# ------------------------------------------------

package:
  name: torchvision
  version: 0.15.2
source:
  path: /Users/ec2-user/runner/_work/vision/vision/pytorch/vision
build:
  script: python setup.py install --single-version-externally-managed --record=record.txt
  script_env:
    - BUILD_VERSION
    - CUDA_HOME
    - FORCE_CUDA
    - MACOSX_DEPLOYMENT_TARGET
    - TORCH_CUDA_ARCH_LIST
  string: py38_cpu
requirements:
  build:
    - bzip2 1.0.8 h620ffc9_4
    - ca-certificates 2023.01.10 hca03da5_0
    - ffmpeg 4.2.2 h04105a8_0
    - freetype 2.12.1 h1192e45_0
    - gettext 0.21.0 h13f89a0_1
    - gmp 6.2.1 hc377ac9_3
    - gnutls 3.6.15 h887c41c_0
    - icu 68.1 hc377ac9_0
    - jpeg 9e h80987f9_1
    - lame 3.100 h1a28f6b_0
    - libcxx 14.0.6 h848a8c0_0
    - libiconv 1.16 h1a28f6b_2
    - libidn2 2.3.1 h1a28f6b_0
    - libopus 1.3 h1a28f6b_1
    - libpng 1.6.39 h80987f9_0
    - libtasn1 4.19.0 h80987f9_0
    - libunistring 0.9.10 h1a28f6b_0
    - libvpx 1.10.0 hc377ac9_0
    - libxml2 2.10.3 h372ba2a_0
    - llvm-openmp 14.0.6 hc6e5704_0
    - ncurses 6.4 h313beb8_0
    - nettle 3.7.3 h84b5d62_1
    - openh264 1.8.0 h98b2900_0
    - openssl 1.1.1t h1a28f6b_0
    - x264 1!152.20180806 h1a28f6b_0
    - xz 5.2.10 h80987f9_1
    - zlib 1.2.13 h5a0b063_0
  host:
    - ca-certificates 2023.01.10 hca03da5_0
    - filelock 3.9.0 py38hca03da5_0
    - gmp 6.2.1 hc377ac9_3
    - gmpy2 2.1.2 py38h8c48613_0
    - jinja2 3.1.2 py38hca03da5_0
    - libcxx 14.0.6 h848a8c0_0
    - libffi 3.4.2 hca03da5_6
    - markupsafe 2.1.1 py38h1a28f6b_0
    - mpc 1.1.0 h8c48613_1
    - mpfr 4.0.2 h695f6f0_1
    - mpmath 1.2.1 py38hca03da5_0
    - ncurses 6.4 h313beb8_0
    - networkx 2.8.4 py38hca03da5_1
    - openssl 1.1.1t h1a28f6b_0
    - pip 23.0.1 py38hca03da5_0
    - python 3.8.16 hc0d8a6c_3
    - pytorch 2.0.1 py3.8_0
    - readline 8.2 h1a28f6b_0
    - setuptools 66.0.0 py38hca03da5_0
    - sqlite 3.41.2 h80987f9_0
    - sympy 1.11.1 py38hca03da5_0
    - tk 8.6.12 hb8d0fd4_0
    - typing_extensions 4.5.0 py38hca03da5_0
    - wheel 0.38.4 py38hca03da5_0
    - xz 5.2.10 h80987f9_1
    - zlib 1.2.13 h5a0b063_0
  run:
    - defaults::numpy >=1.11
    - ffmpeg >=4.2
    - jpeg
    - libpng
    - pillow >=5.3.0, !=8.3.*
    - python >=3.8,<3.9.0a0
    - pytorch==2.0.1
    - requests
  run_constrained:
    - cpuonly
test:
  imports:
    - torchvision
    - torchvision.datasets
    - torchvision.transforms
  requires:
    - ca-certificates
    - jpeg
    - pytest
    - scipy
  source_files:
    - test
about:
  home: https://github.com/pytorch/vision
  license: BSD
  license_file: LICENSE
  summary: image and video datasets and models for torch deep learning
extra:
  copy_test_source_files: true
  final: true
